com.genesyslab.wfm7.API.service.schedule712

## Class SchValidationHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule712.SchValidationHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchValidationHolder
      extends java.lang.Object
      implements java.io.Serializable

  `SchValidation` holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private boolean` | `success` Modification success or failure indicator.
    `private SchValidation[]` | `validationArray` An array of `SchValidation`
    `private int` | `validationArrayNSizeIs` Number of elements in "validationArray" array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchValidationHolder()`
    `SchValidationHolder(boolean success, int validationArrayNSizeIs, SchValidation[] validationArray)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `SchValidation[]` | `getValidationArray()` Gets the validationArray value for this SchValidationHolder.
    `int` | `getValidationArrayNSizeIs()` Gets the validationArrayNSizeIs value for this SchValidationHolder.
    `int` | `hashCode()`
    `boolean` | `isSuccess()` Gets the success value for this SchValidationHolder.
    `void` | `setSuccess(boolean success)` Sets the success value for this SchValidationHolder.
    `void` | `setValidationArray(SchValidation[] validationArray)` Sets the validationArray value for this SchValidationHolder.
    `void` | `setValidationArrayNSizeIs(int validationArrayNSizeIs)` Sets the validationArrayNSizeIs value for this SchValidationHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### success

          private boolean success

      Modification success or failure indicator.

    - #### validationArrayNSizeIs

          private int validationArrayNSizeIs

      Number of elements in "validationArray" array

    - #### validationArray

          private SchValidation[] validationArray

      An array of `SchValidation`

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchValidationHolder

          public SchValidationHolder()

    - #### SchValidationHolder

          public SchValidationHolder(boolean success,
                             int validationArrayNSizeIs,
                             SchValidation[] validationArray)

  - ### Method Detail

    - #### isSuccess

          public boolean isSuccess()

      Gets the success value for this SchValidationHolder.
      Returns:
        success

    - #### setSuccess

          public void setSuccess(boolean success)

      Sets the success value for this SchValidationHolder.
      Parameters:
        `success` -

    - #### getValidationArrayNSizeIs

          public int getValidationArrayNSizeIs()

      Gets the validationArrayNSizeIs value for this SchValidationHolder.
      Returns:
        validationArrayNSizeIs

    - #### setValidationArrayNSizeIs

          public void setValidationArrayNSizeIs(int validationArrayNSizeIs)

      Sets the validationArrayNSizeIs value for this SchValidationHolder.
      Parameters:
        `validationArrayNSizeIs` -

    - #### getValidationArray

          public SchValidation[] getValidationArray()

      Gets the validationArray value for this SchValidationHolder.
      Returns:
        validationArray

    - #### setValidationArray

          public void setValidationArray(SchValidation[] validationArray)

      Sets the validationArray value for this SchValidationHolder.
      Parameters:
        `validationArray` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.